Package org.opensaml.saml.saml1.core.impl

# Class StatusCodeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.StatusCodeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `StatusCode`

public class StatusCodeImpl extends AbstractXMLObject implements StatusCode
Concrete implementation of `StatusCode`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private StatusCode`
`childStatusCode`
The child StatusCode sub element.
`private QName`
`value`
Contents of the Value attribute.

### Fields inherited from interface org.opensaml.saml.saml1.core.StatusCode

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, REQUEST_DENIED, REQUEST_VERSION_DEPRECATED, REQUEST_VERSION_TOO_HIGH, REQUEST_VERSION_TOO_LOW, REQUESTER, RESOURCE_NOT_RECOGNIZED, RESPONDER, SUCCESS, TOO_MANY_RESPONSES, TYPE_LOCAL_NAME, TYPE_NAME, VALUE_ATTRIB_NAME, VERSION_MISMATCH`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StatusCodeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`StatusCode`
`getStatusCode()`
Gets the second level status code.
`QName`
`getValue()`
Gets the value of the status code.
`void`
`setStatusCode(StatusCode statusCode)`
Sets the second level status code.
`void`
`setValue(QName newValue)`
Sets the value of the status code.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### value

@Nullable private QName value
Contents of the Value attribute.

### childStatusCode

@Nullable private StatusCode childStatusCode
The child StatusCode sub element.

## Constructor Details

### StatusCodeImpl

protected StatusCodeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getValue

@Nullable public QName getValue()
Gets the value of the status code.

Specified by:
  `getValue` in interface `StatusCode`
Returns:
  value of the status code

### setValue

public void setValue(@Nullable QName newValue)
Sets the value of the status code.

Specified by:
  `setValue` in interface `StatusCode`
Parameters:
  `newValue` - value of the status code

### getStatusCode

@Nullable public StatusCode getStatusCode()
Gets the second level status code.

Specified by:
  `getStatusCode` in interface `StatusCode`
Returns:
  second level status code

### setStatusCode

public void setStatusCode(@Nullable StatusCode statusCode)
Sets the second level status code.

Specified by:
  `setStatusCode` in interface `StatusCode`
Parameters:
  `statusCode` - second level status code

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements